Table of Contents

## Name

AuMakeElementBundle - initialize a Bundle element

## Synopsis

#include <audio/audiolib.h>

AuMakeElementBundle(element, num_inputs, inputs)
AuElement *element; /* RETURN */
unsigned short num_inputs;
AuInputTrack *inputs;

## Arguments

element
  Returns the initialized element.
num_inputs
  Specifies the number of input tracks to be bundled.
inputs
  Specifies the list of input tracks to bundle. Entries in this list can be initialized with AuMakeInputTrack.

## Description

AuMakeElementBundle sets the type member of element to AuElementTypeBundle and initializes the bundle member of element with the remaining arguments.

AuMakeElementBundle is implemented as a macro.

## See Also

AuMakeElementAddConstant, AuMakeElementExportBucket, AuMakeElementExportClient, AuMakeElementExportDevice, AuMakeElementExportMonitor, AuMakeElementImportBucket, AuMakeElementImportClient, AuMakeElementImportDevice, AuMakeElementImportWaveForm, AuMakeElementMultiplyConstant, AuMakeElementSum.

audiolib - Network Audio System C Language Interface

Table of Contents

- Name
- Synopsis
- Arguments
- Description
- See Also